-- Schema: C6MartPeriodico
-- Stored Procedure: PL_MP_S137Bonus


--[C6MartPeriodico].[PL_MP_S137Bonus] 'F','QRCRLR38P10G999N'
CREATE procedure [C6MartPeriodico].[PL_MP_S137Bonus]
	-- Add the parameters for the stored procedure here
	@Rete char(1), 
	@CodiceFiscale varchar(16)
AS
BEGIN  
	 SELECT [RETE],
			bonus.[COD_FISCALE], 
			[DES_PROD] = CASE
				WHEN desrc.descrizione is null THEN ''								 
				ELSE desrc.descrizione  		                   	
            END, 
            bonus.[COD_CONF],           
            bonus.[CTV],
			bonus.[DT_TRIM],		
			'Bonus Maturato'  as [DESBONUS_M],
			bonus.[BONUS_M],
			bonus.[DTDEC_M],	
			'Bonus a scadenza 5 anni'	as [DESBONUS_5],
			bonus.[BONUS_5],
			bonus.[DTDEC_5],	
			'Bonus a scadenza 10 anni'	as [DESBONUS_10],
			bonus.[BONUS_10],
			bonus.[DTDEC_10],			
            bonus.[COD_PROD]			
	FROM [C6MartPeriodico].[BONUS] bonus
	Left Join c6martperiodico.descrizione_bonus  desrc
	on desrc.cod_prod = bonus.cod_prod
	WHERE 
    		RETE = @Rete AND
		    COD_FISCALE = @CodiceFiscale 

END
 


